<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.cico.nest</groupId>
        <artifactId>nest-lcdp-boot-starter</artifactId>
        <version>${revision}</version>
    </parent>

    <packaging>jar</packaging>
    <artifactId>nest-lcdp-boot-security-starter</artifactId>

    <dependencies>
        <!-- Spring aop -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-aop</artifactId>
        </dependency>
        <!-- Web 相关 -->
        <dependency>
            <groupId>com.cico.nest</groupId>
            <artifactId>nest-lcdp-boot-web-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-security</artifactId>
        </dependency>
        <!-- 工具 -->
        <dependency>
            <!-- Spring Boot 通用操作日志组件，基于注解实现 -->
            <!-- 此组件解决的问题是：「谁」在「什么时间」对「什么」做了「什么事」 -->
            <groupId>io.github.mouzt</groupId>
            <artifactId>bizlog-sdk</artifactId>
        </dependency>
    </dependencies>

</project>